Skip to main content
GET
/
v1
/
payment-requests
List payment requests
curl --request GET \
  --url https://api.plane.com/v1/payment-requests \
  --header 'Authorization: Bearer <token>'
{
  "payment_requests": [
    {
      "id": "ptr_ogdEjSnSqNYxtW1sd3pC3hFX",
      "worker": "wr_anqRSFcK36ie85",
      "amount": "1200.00",
      "currency": "EUR",
      "status": "pending",
      "reference": "EV1S3GDM",
      "note": "Payment for July",
      "period": {
        "starts": "2023-07-01",
        "ends": "2023-07-31"
      },
      "documents": [],
      "approvals": [],
      "payment": null
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.plane.com/llms.txt

Use this file to discover all available pages before exploring further.

Parameters

status
string
Only return payment requests in this status, one of pending, approved, declined, processed, or cancelled.
limit
number
A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.
starting_after
string
A cursor for use in pagination. starting_after is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with obj_foo, your subsequent call can include starting_after=obj_foo in order to fetch the next page of the list.
ending_before
string
A cursor for use in pagination. ending_before is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with obj_bar, your subsequent call can include ending_before=obj_bar in order to fetch the previous page of the list.

Returns

A dictionary with a payment_requests property that contains an array of Payment Request objects.
{
  "payment_requests": [
    {
      "id": "ptr_ogdEjSnSqNYxtW1sd3pC3hFX",
      "worker": "wr_anqRSFcK36ie85",
      "amount": "1200.00",
      "currency": "EUR",
      "status": "pending",
      "reference": "EV1S3GDM",
      "note": "Payment for July",
      "period": {
        "starts": "2023-07-01",
        "ends": "2023-07-31"
      },
      "documents": [],
      "approvals": [],
      "payment": null
    }
  ]
}